# Method: iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables.delete

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/delete#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/delete#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.tables/delete#body.aspect)

Deletes a table in the namespace.

### HTTP request

`DELETE https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/{name=projects/*/catalogs/*/namespaces/*/tables/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Table to delete in the format: `projects/{projectId}/namespaces/{namespace}/tables/{table}`. |

### Query parameters

| Parameters ||
|---|---|
| `purgeRequested` | `boolean` Optional. If true we'll delete both the table and the data. Currently purgin data is not supported. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).